import { _ as _export, t as toObject$1 } from './well-known-symbol-9b7e0fd8.js';
import { o as objectKeys } from './object-keys-c3d7c097.js';
import { f as fails$1 } from './normalize-component-43ce05b9.js';

var $ = _export;
var toObject = toObject$1;
var nativeKeys = objectKeys;
var fails = fails$1;

var FAILS_ON_PRIMITIVES = fails(function () { nativeKeys(1); });

// `Object.keys` method
// https://tc39.es/ecma262/#sec-object.keys
$({ target: 'Object', stat: true, forced: FAILS_ON_PRIMITIVES }, {
  keys: function keys(it) {
    return nativeKeys(toObject(it));
  }
});
